# Function $IncludedByStateFilter

- $IncludedByStateFilter($state): {
  $stateful: boolean;
  (state: any, params: any, options: any): any;
  }

- #### Parameters

  - $state: any

  #### Returns {
  $stateful: boolean;
  (state: any, params: any, options: any): any;
  }

  - - (state, params, options): any

    - #### Parameters

      - state: any
      - params: any
      - options: any

      #### Returns any

  - ##### $stateful: boolean

  - Defined in router/state-filters.js:30

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

`includedByState` Filter: truthy if the current state includes the parameter

Translates to [[StateService.includes]]`$state.is("fullOrPartialStateName")`.

#### Example:

    <div ng-if="'fullOrPartialStateName' | includedByState">show if state includes 'fullOrPartialStateName'</div>

- Defined in router/state-filters.js:29